Index: trunk/i18n/uk.ts
===================================================================
--- trunk/i18n/uk.ts	(revision 39)
+++ trunk/i18n/uk.ts	(revision 42)
@@ -306,324 +350,358 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="297"/>
-        <location filename="../ui/mainwindow.ui" line="278"/>
-        <source>&amp;Language</source>
-        <extracomment>Please, append &quot; / Language&quot; when translating this string.
-----------
-Please, append &quot; / Language&quot; when translating this string.</extracomment>
-        <translation>Мова / &amp;Language</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="313"/>
-        <location filename="../ui/mainwindow.ui" line="294"/>
+        <location filename="../ui/mainwindow.ce.ui" line="293"/>
+        <location filename="../ui/mainwindow.ui" line="281"/>
         <source>&amp;Help</source>
         <translation>&amp;Допомога</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="351"/>
-        <location filename="../ui/mainwindow.ui" line="364"/>
+        <location filename="../ui/mainwindow.ce.ui" line="331"/>
+        <location filename="../ui/mainwindow.ui" line="354"/>
         <source>Save solution steps</source>
         <translation>Зберегти хід розв&apos;язку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="354"/>
-        <location filename="../ui/mainwindow.ui" line="367"/>
+        <location filename="../ui/mainwindow.ce.ui" line="334"/>
+        <location filename="../ui/mainwindow.ui" line="357"/>
         <source>Save solution steps only</source>
         <translation>Зберегти тільки хід розв&apos;язку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="365"/>
-        <location filename="../ui/mainwindow.ui" line="378"/>
+        <location filename="../ui/mainwindow.ce.ui" line="345"/>
+        <location filename="../ui/mainwindow.ui" line="368"/>
         <source>Save solution graph</source>
         <translation>Зберегти граф розв&apos;язку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="368"/>
-        <location filename="../ui/mainwindow.ui" line="381"/>
+        <location filename="../ui/mainwindow.ce.ui" line="348"/>
+        <location filename="../ui/mainwindow.ui" line="371"/>
         <source>Save solution graph only</source>
         <translation>Зберегти тільки граф розв&apos;язку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="376"/>
-        <location filename="../ui/mainwindow.ui" line="389"/>
-        <source>&amp;Solution</source>
-        <translation>&amp;Розв&apos;язок</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="379"/>
-        <location filename="../ui/mainwindow.ui" line="392"/>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="382"/>
         <source>Save solution</source>
         <translation>Зберегти розв&apos;язок</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="382"/>
-        <location filename="../ui/mainwindow.ui" line="395"/>
+        <location filename="../ui/mainwindow.ce.ui" line="365"/>
+        <location filename="../ui/mainwindow.ui" line="385"/>
         <source>Save solution steps and graph</source>
         <translation>Зберегти хід та граф розв&apos;язку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="391"/>
-        <location filename="../ui/mainwindow.ui" line="404"/>
+        <location filename="../ui/mainwindow.ce.ui" line="374"/>
+        <location filename="../ui/mainwindow.ui" line="394"/>
         <source>&amp;New</source>
         <translation>&amp;Створити</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="394"/>
-        <location filename="../ui/mainwindow.ui" line="407"/>
+        <location filename="../ui/mainwindow.ce.ui" line="377"/>
+        <location filename="../ui/mainwindow.ui" line="397"/>
         <source>New</source>
         <translation>Створити</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="397"/>
-        <location filename="../ui/mainwindow.ui" line="410"/>
+        <location filename="../ui/mainwindow.ce.ui" line="380"/>
+        <location filename="../ui/mainwindow.ui" line="400"/>
         <source>New task</source>
-        <translation>Нове завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="400"/>
-        <location filename="../ui/mainwindow.ui" line="413"/>
+        <translation>Нова задача</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="383"/>
+        <location filename="../ui/mainwindow.ui" line="403"/>
         <source>Create new task</source>
-        <translation>Створити нове завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="412"/>
-        <location filename="../ui/mainwindow.ui" line="425"/>
+        <translation>Створити нову задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="395"/>
+        <location filename="../ui/mainwindow.ui" line="415"/>
         <source>&amp;Open...</source>
         <translation>&amp;Відкрити...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="415"/>
-        <location filename="../ui/mainwindow.ui" line="428"/>
+        <location filename="../ui/mainwindow.ce.ui" line="398"/>
+        <location filename="../ui/mainwindow.ui" line="418"/>
         <source>Open...</source>
         <translation>Відкрити...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="418"/>
-        <location filename="../ui/mainwindow.ui" line="431"/>
+        <location filename="../ui/mainwindow.ce.ui" line="401"/>
+        <location filename="../ui/mainwindow.ui" line="421"/>
         <source>Open task</source>
-        <translation>Відкрити завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="421"/>
-        <location filename="../ui/mainwindow.ui" line="434"/>
+        <translation>Відкрити умову</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="404"/>
+        <location filename="../ui/mainwindow.ui" line="424"/>
         <source>Open saved task</source>
-        <translation>Відкрити збережене завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="424"/>
-        <location filename="../ui/mainwindow.ui" line="437"/>
+        <translation>Відкрити збережену умову</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="407"/>
+        <location filename="../ui/mainwindow.ui" line="427"/>
         <source>Ctrl+O</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="433"/>
-        <location filename="../ui/mainwindow.ui" line="446"/>
+        <location filename="../ui/mainwindow.ce.ui" line="416"/>
+        <location filename="../ui/mainwindow.ui" line="436"/>
         <source>&amp;Preferences...</source>
         <translation>&amp;Параметри...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="436"/>
-        <location filename="../ui/mainwindow.ui" line="449"/>
+        <location filename="../ui/mainwindow.ce.ui" line="419"/>
+        <location filename="../ui/mainwindow.ui" line="439"/>
         <source>Preferences...</source>
         <translation>Параметри...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="439"/>
-        <location filename="../ui/mainwindow.ui" line="452"/>
+        <location filename="../ui/mainwindow.ce.ui" line="422"/>
+        <location filename="../ui/mainwindow.ui" line="442"/>
         <source>Application preferences</source>
         <translation>Параметри додатку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="451"/>
-        <location filename="../ui/mainwindow.ui" line="464"/>
+        <location filename="../ui/mainwindow.ce.ui" line="434"/>
+        <location filename="../ui/mainwindow.ui" line="454"/>
         <source>&amp;Contents</source>
         <translation>&amp;Зміст</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="454"/>
-        <location filename="../ui/mainwindow.ui" line="467"/>
+        <location filename="../ui/mainwindow.ce.ui" line="437"/>
+        <location filename="../ui/mainwindow.ui" line="457"/>
         <source>Open help contents</source>
         <translation>Відкрити зміст допомоги</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="469"/>
-        <location filename="../ui/mainwindow.ui" line="482"/>
+        <location filename="../ui/mainwindow.ce.ui" line="452"/>
+        <location filename="../ui/mainwindow.ui" line="472"/>
         <source>Open context help</source>
         <translation>Відкрити контекстну допомогу</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="478"/>
-        <location filename="../ui/mainwindow.ui" line="491"/>
+        <location filename="../ui/mainwindow.ce.ui" line="461"/>
+        <location filename="../ui/mainwindow.ui" line="481"/>
         <source>&amp;About...</source>
         <translation>&amp;Про...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="481"/>
-        <location filename="../ui/mainwindow.ui" line="494"/>
+        <location filename="../ui/mainwindow.ce.ui" line="464"/>
+        <location filename="../ui/mainwindow.ui" line="484"/>
         <source>About...</source>
         <translation>Про...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="484"/>
-        <location filename="../ui/mainwindow.ui" line="497"/>
+        <location filename="../ui/mainwindow.ce.ui" line="467"/>
+        <location filename="../ui/mainwindow.ui" line="487"/>
         <source>About application</source>
         <translation>Про додаток</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="493"/>
-        <location filename="../ui/mainwindow.ui" line="506"/>
+        <location filename="../ui/mainwindow.ce.ui" line="476"/>
+        <location filename="../ui/mainwindow.ui" line="496"/>
         <source>E&amp;xit</source>
         <translation>В&amp;ихід</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="496"/>
-        <location filename="../ui/mainwindow.ui" line="509"/>
+        <location filename="../ui/mainwindow.ce.ui" line="479"/>
+        <location filename="../ui/mainwindow.ui" line="499"/>
         <source>Exit application</source>
         <translation>Вийти з додатку</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="505"/>
-        <location filename="../ui/mainwindow.ui" line="518"/>
+        <location filename="../ui/mainwindow.ce.ui" line="488"/>
+        <location filename="../ui/mainwindow.ui" line="504"/>
         <source>&amp;Task...</source>
-        <translation>&amp;Завдання...</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="508"/>
-        <location filename="../ui/mainwindow.ui" line="521"/>
+        <translation>&amp;Умову...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="491"/>
+        <location filename="../ui/mainwindow.ui" line="507"/>
         <source>Task...</source>
-        <translation>Завдання...</translation>
+        <translation>Умову...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="494"/>
+        <location filename="../ui/mainwindow.ce.ui" line="543"/>
+        <location filename="../ui/mainwindow.ui" line="510"/>
+        <location filename="../ui/mainwindow.ui" line="562"/>
+        <source>Save task</source>
+        <translation>Зберегти умову</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="497"/>
+        <location filename="../ui/mainwindow.ui" line="513"/>
+        <source>Save task to file</source>
+        <translation>Зберегти умову задачі у файл</translation>
     </message>
     <message>
         <location filename="../ui/mainwindow.ce.ui" line="511"/>
-        <location filename="../ui/mainwindow.ce.ui" line="560"/>
-        <location filename="../ui/mainwindow.ui" line="524"/>
-        <location filename="../ui/mainwindow.ui" line="576"/>
-        <source>Save task</source>
-        <translation>Зберегти завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="514"/>
         <location filename="../ui/mainwindow.ui" line="527"/>
-        <source>Save task to file</source>
-        <translation>Зберегти завдання до файлу</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="528"/>
-        <location filename="../ui/mainwindow.ui" line="541"/>
         <source>&amp;Autodetect</source>
         <translation>&amp;Автовизначення</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="545"/>
+        <location filename="../ui/mainwindow.ce.ui" line="528"/>
         <source>English</source>
         <translation>Англійська</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="563"/>
-        <location filename="../ui/mainwindow.ui" line="579"/>
+        <location filename="../ui/mainwindow.ce.ui" line="546"/>
+        <location filename="../ui/mainwindow.ui" line="565"/>
         <source>Save current task</source>
-        <translation>Зберегти поточне завдання</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="572"/>
-        <location filename="../ui/mainwindow.ui" line="588"/>
+        <translation>Зберегти поточну умову</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="555"/>
+        <location filename="../ui/mainwindow.ui" line="574"/>
         <source>About &amp;Qt...</source>
         <translation>Про &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="575"/>
-        <location filename="../ui/mainwindow.ui" line="591"/>
+        <location filename="../ui/mainwindow.ce.ui" line="558"/>
+        <location filename="../ui/mainwindow.ui" line="577"/>
         <source>About Qt...</source>
         <translation>Про Qt...</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="578"/>
+        <location filename="../ui/mainwindow.ce.ui" line="561"/>
         <source>About Qt</source>
         <translation>Про Qt</translation>
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="581"/>
-        <location filename="../ui/mainwindow.ui" line="594"/>
+        <location filename="../ui/mainwindow.ce.ui" line="564"/>
+        <location filename="../ui/mainwindow.ui" line="580"/>
         <source>About Qt library</source>
         <translation>Про бібліотеку Qt</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="134"/>
-        <location filename="../src/mainwindow.cpp" line="323"/>
-        <location filename="../src/mainwindow.cpp" line="332"/>
+        <location filename="../src/mainwindow.cpp" line="141"/>
+        <location filename="../src/mainwindow.cpp" line="439"/>
+        <location filename="../src/mainwindow.cpp" line="448"/>
         <source>Language change</source>
         <translation>Зміна мови</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="134"/>
+        <location filename="../src/mainwindow.cpp" line="141"/>
         <source>Unable to load translation language.</source>
         <translation>Неможливо завантажити переклад.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="180"/>
+        <location filename="../src/mainwindow.cpp" line="202"/>
         <source>All Supported Formats</source>
         <translation>Усі підтримувані формати</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="183"/>
-        <location filename="../src/mainwindow.cpp" line="203"/>
+        <location filename="../src/mainwindow.cpp" line="205"/>
+        <location filename="../src/mainwindow.cpp" line="232"/>
+        <location filename="../src/mainwindow.cpp" line="251"/>
         <source>All Files</source>
         <translation>Усі файли</translation>
     </message>
     <message>
+        <location filename="../src/mainwindow.cpp" line="203"/>
+        <location filename="../src/mainwindow.cpp" line="204"/>
+        <source>%1 Task Files</source>
+        <translation>Файли умов %1</translation>
+    </message>
+    <message>
         <location filename="../src/mainwindow.cpp" line="181"/>
-        <location filename="../src/mainwindow.cpp" line="182"/>
-        <source>%1 Task Files</source>
-        <translation>Файли завдань %1</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="162"/>
         <source>New Task</source>
         <translation>Нова задача</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="162"/>
-        <location filename="../src/mainwindow.cpp" line="173"/>
-        <location filename="../src/mainwindow.cpp" line="346"/>
+        <location filename="../src/mainwindow.cpp" line="181"/>
+        <location filename="../src/mainwindow.cpp" line="195"/>
+        <location filename="../src/mainwindow.cpp" line="462"/>
         <source>Would you like to save changes in current task?</source>
         <translation>Бажаете зберегти зміни у поточній задачі?</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="173"/>
+        <location filename="../src/mainwindow.cpp" line="195"/>
         <source>Task Open</source>
         <translation>Відкриття завдання</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="202"/>
+        <location filename="../src/mainwindow.cpp" line="230"/>
+        <source>HTML Files</source>
+        <translation>Файли HTML</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="231"/>
+        <source>OpenDocument Files</source>
+        <translation>Файли OpenDocument</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="250"/>
         <source>%1 Task File</source>
-        <translation>Файл завдання %1</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="259"/>
+        <translation>Файл умови %1</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="273"/>
+        <source>Settings Changed</source>
+        <translation>Параметри змінено</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="273"/>
+        <source>You have changed color settings.
+Do you wish to apply them to current solution text?</source>
+        <translation>Ви змінили параметри кольору.
+Бажаєте застосувати їх до поточного тексту розв&apos;зку?</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="337"/>
         <source>Data error</source>
-        <translation>Помилка даних</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="259"/>
+        <translation>Помилка у даних</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="337"/>
         <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
         <translation>Помилка у комірці  [Рядок %1; Колонка %2]: Невірний формат даних.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="268"/>
-        <source>Solution error</source>
-        <translation>Помилка розв&apos;язку</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="268"/>
-        <source>There was an error while solving the task.</source>
-        <translation>Під час розв&apos;язання задачі виникла помилка.</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="323"/>
+        <location filename="../src/mainwindow.cpp" line="350"/>
+        <source>Variant #%1</source>
+        <translation>Варіант №%1</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="351"/>
+        <source>Task:</source>
+        <translation>Умова:</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="354"/>
+        <location filename="../src/mainwindow.cpp" line="380"/>
+        <source>Solution of Variant #%1 task</source>
+        <translation>Розв&apos;язок варіанту №%1</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="361"/>
+        <source>Step #%1</source>
+        <translation>Крок №%1</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="364"/>
+        <source>This step has alternate candidates for branching.</source>
+        <translation>У цьому кроці є альтернативні кандидати на розгалудження.</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="376"/>
+        <source>Optimal path:</source>
+        <translation>Оптимальний шлях:</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="378"/>
+        <source>The price is &lt;b&gt;%1&lt;/b&gt; units.</source>
+        <translation>Вартість - &lt;b&gt;%1&lt;/b&gt; одиниць.</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="439"/>
         <source>Language will be autodetected on next application start.</source>
         <translation>Мову буде автоматично визначено при наступному запуску додатку.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="332"/>
+        <location filename="../src/mainwindow.cpp" line="448"/>
         <source>You have language autodetection turned on.
 It needs to be off.
@@ -634,5 +712,5 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="346"/>
+        <location filename="../src/mainwindow.cpp" line="462"/>
         <source>Application Close</source>
         <translation>Закриття додатку</translation>
@@ -647,30 +725,15 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <source>Print settings:</source>
-        <translation>Налагодження друку:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="249"/>
-        <source>&amp;Left margin:</source>
-        <translation>&amp;Лівий відступ:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="262"/>
-        <source>Left border margin for page</source>
-        <translation>Лівий відступ від межі сторінки під час друку</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="329"/>
+        <location filename="../ui/settingsdialog.ui" line="283"/>
         <source>Restore main window state and position on application restart</source>
-        <translation>Відновлювати стан та розмір головного вікна пысля перезапуску додатку</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="332"/>
+        <translation>Відновлювати стан та розмір головного вікна після перезапуску додатку</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="286"/>
         <source>Save main window state and position</source>
         <translation>Зберегти стан та розміщення головного вікна</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="403"/>
+        <location filename="../ui/settingsdialog.ui" line="369"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведіть покажчик миші на елемент ділогу, щоб отримати підказку</translation>
@@ -713,62 +776,68 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="202"/>
-        <location filename="../ui/settingsdialog.ui" line="288"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="184"/>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <source>Output settings:</source>
+        <translation>Параметри виводу:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="210"/>
+        <location filename="../ui/settingsdialog.ui" line="261"/>
         <source>Font color for printing</source>
         <translation>Колір шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
-        <location filename="../ui/settingsdialog.ui" line="291"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="213"/>
+        <location filename="../ui/settingsdialog.ui" line="264"/>
         <source>&amp;Color...</source>
         <translation>&amp;Колір...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="219"/>
-        <location filename="../ui/settingsdialog.ui" line="305"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="193"/>
+        <location filename="../ui/settingsdialog.ui" line="244"/>
         <source>Font face for printing</source>
         <translation>Вигляд шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="222"/>
-        <location filename="../ui/settingsdialog.ui" line="308"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="196"/>
+        <location filename="../ui/settingsdialog.ui" line="247"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="287"/>
-        <location filename="../ui/settingsdialog.ce.ui" line="293"/>
-        <location filename="../ui/settingsdialog.ui" line="377"/>
-        <location filename="../ui/settingsdialog.ui" line="383"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="279"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="285"/>
+        <location filename="../ui/settingsdialog.ui" line="331"/>
+        <location filename="../ui/settingsdialog.ui" line="337"/>
         <source>Help</source>
         <translation>Допомога</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="290"/>
-        <location filename="../ui/settingsdialog.ui" line="380"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="282"/>
+        <location filename="../ui/settingsdialog.ui" line="334"/>
         <source>Get preferences help</source>
         <translation>Отримати допомогу по налагодженням</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="323"/>
-        <location filename="../ui/settingsdialog.ui" line="425"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="315"/>
+        <location filename="../ui/settingsdialog.ui" line="391"/>
         <source>Save new preferences</source>
         <translation>Зберегти нові параметри</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="326"/>
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="318"/>
+        <location filename="../ui/settingsdialog.ui" line="394"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="343"/>
-        <location filename="../ui/settingsdialog.ui" line="445"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="335"/>
+        <location filename="../ui/settingsdialog.ui" line="411"/>
         <source>Close without saving preferences</source>
         <translation>Закрити вікно без збереження параметрів</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="346"/>
-        <location filename="../ui/settingsdialog.ui" line="448"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="338"/>
+        <location filename="../ui/settingsdialog.ui" line="414"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Скасувати</translation>
